Bug 1262377 - (CVE-2014-9745) CVE-2014-9745 freetype: Infinite loop in parse_encoding in t1load.c
CVE-2014-9745 freetype: Infinite loop in parse_encoding in t1load.c
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20140214,reported=2...
: Security
Depends On: 1262380 1262381 1262382
Blocks: 1262379
  Show dependency treegraph
 
Reported: 2015-09-11 09:55 EDT by Adam Mariš
Modified: 2016-03-04 06:00 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 03:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-11 09:55:49 EDT
If the Postscript stream contains a broken number-with-base (e.g. "8#garbage") the cursor doesn't advance and parse_encoding enters an infinite loop.

Upstream patch:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=df14e6c0b9592cbb24d5381dfc6106b14f915e75

CVE request:

http://seclists.org/oss-sec/2015/q3/537
Comment 1 Adam Mariš 2015-09-11 09:58:22 EDT
Created freetype tracking bugs for this issue:

Affects: fedora-all [bug 1262381]
Comment 2 Adam Mariš 2015-09-11 09:58:25 EDT
Created mingw-freetype tracking bugs for this issue:

Affects: fedora-all [bug 1262380]
Affects: epel-7 [bug 1262382]
Comment 3 Marek Kašík 2015-09-11 10:51:57 EDT
It seems to me that this is already fixed in all maintained versions of Fedora. Check it please.
Comment 4 Huzaifa S. Sidhpurwala 2015-09-14 03:23:38 EDT
Upstream freetype git suggests that this issue was addressed in freetype-2.5.3.

Therefore this issue is already fixed in all the maintained versions of Fedora.

Note You need to log in before you can comment on or make changes to this bug.